Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-43435

Port geoclue plugin to GeoClue version 2.x

    XMLWordPrintable

    Details

    • Type: Suggestion
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Done
    • Affects Version/s: 5.4.0
    • Fix Version/s: 5.12.0 Alpha
    • Component/s: Positioning
    • Labels:
      None
    • Environment:

      Linux

      Description

      The current geoclue position plug-in uses GeoClue v0.12. This version is very old and uses a glib based wrapper. The latest major version is 2.0 and was introduced in September 2013. This version has a dbus interface only.

      From a Qt perspective it is much more desirable to remove the glib wrapper library. Interaction with the glib event loop can cause problems with Qt's event loop and in general we are reducing the dependency chain of the position plug-in.

      For the foreseeable future the geoclue 0.12 plug-in must continue to exist.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              ablasche Alex Blasche
              Reporter:
              ablasche Alex Blasche
              Votes:
              5 Vote for this issue
              Watchers:
              9 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes